Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename gitconfiglocal
%global enable_tests 1

Name:		nodejs-gitconfiglocal
Version:	2.0.1
Release:	alt1_4
Summary:	Parse the .git/config file into a useful data structure

License:	BSD
URL:		https://github.com/soldair/node-gitconfiglocal
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

# License requested upstream at https://github.com/soldair/node-gitconfiglocal/issues/7
Source11:	LICENSE-BSD-2.txt


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	git
BuildRequires:	npm(fs-extra)
BuildRequires:	npm(ini)
BuildRequires:	npm(tape)
%endif
Source44: import.info

%description
Parse the .git/config file into a useful data structure


%prep
%setup -q -n package

# setup the tests
%setup -q -T -D -a 1 -n package

cp -p %{SOURCE11} .

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
git init
%__nodejs test/test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%doc --no-dereference LICENSE-BSD-2.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_4
- new version

